<nav class="navbar navbar-inverse navbar-toggleable-md jh-navbar">
    <div class="jh-logo-container float-left">
        <a class="jh-navbar-toggler hidden-lg-up float-right" href="javascript:void(0);" data-toggle="collapse"
           data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
           aria-label="Toggle navigation" (click)="toggleNavbar()">
            <i class="fa fa-bars"></i>
        </a>
        <a class="navbar-brand logo float-left" routerLink="/" (click)="collapseNavbar(); homepage()">
            <span jhiTranslate="global.title" class="navbar-title">NOLLYSOFT</span>
        </a>
    </div>
    <div class="navbar-collapse collapse" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed"
         [ngSwitch]="isAuthenticated()">
        <ul class="navbar-nav ml-auto">
            <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->
            <li *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_TENANT_ADMIN']" ngbDropdown class="nav-item dropdown pointer"
                routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu">
                    <span>
                        <i class="fa fa-user-plus" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.admin.main">Administration</span>
                        <b class="caret"></b>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu>
                    <li *jhiHasAnyAuthority="'ROLE_ADMIN'">
                        <a class="dropdown-item">
                            <i class="fa fa-fw fa-cog" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.authorization">Authorization</span>
                        </a>
                    </li>
                    <li *jhiHasAnyAuthority="'ROLE_ADMIN'">
                        <a class="dropdown-item" routerLink="tenant-management" routerLinkActive="active">
                            <i class="fa fa-fw fa-user" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.tenantManagement">Tenant Management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="user-management" routerLinkActive="active"
                           (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-user" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.userManagement">User management</span>
                        </a>
                    </li>
                    <li *jhiHasAnyAuthority="'ROLE_ADMIN'">
                        <a class="dropdown-item" routerLink="jhi-metrics" routerLinkActive="active"
                           (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-tachometer" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.metrics">Metrics</span>
                        </a>
                    </li>
                    <li *jhiHasAnyAuthority="'ROLE_ADMIN'">
                        <a class="dropdown-item" routerLink="jhi-health" routerLinkActive="active"
                           (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-heart" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.health">Health</span>
                        </a>
                    </li>
                    <li *jhiHasAnyAuthority="'ROLE_ADMIN'">
                        <a class="dropdown-item" routerLink="jhi-configuration" routerLinkActive="active"
                           (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-list" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.configuration">Configuration</span>
                        </a>
                    </li>
                    <li *jhiHasAnyAuthority="'ROLE_ADMIN'">
                        <a class="dropdown-item" routerLink="audits" routerLinkActive="active"
                           (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-bell" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.audits">Audits</span>
                        </a>
                    </li>
                    <li *jhiHasAnyAuthority="'ROLE_ADMIN'">
                        <a class="dropdown-item" routerLink="logs" routerLinkActive="active" (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-tasks" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.logs">Logs</span>
                        </a>
                    </li>
                    <li *ngIf="swaggerEnabled">
                        <a class="dropdown-item" routerLink="docs" routerLinkActive="active" (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-book" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.admin.apidocs">API</span>
                        </a>
                    </li>
                    <li *jhiHasAnyAuthority="'ROLE_TENANT_ADMIN'">
                        <a class="dropdown-item" routerLink="saq/admin" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-asterisk" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.entities.saqAdmin">SaqAdmin</span>
                        </a>
                    </li>
                    <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
                </ul>
            </li>
            <li ngbDropdown class="nav-item dropdown pointer" *ngIf="languages">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);"
                   id="languagesnavBarDropdown" *ngIf="languages.length > 1">
                    <span>
                        <i class="fa fa-flag" aria-hidden="true"></i>
                        <span jhiTranslate="global.menu.language">Language</span>
                        <b class="caret"></b>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu *ngIf="languages.length > 1">
                    <li *ngFor="let language of languages">
                        <a class="dropdown-item" [jhiActiveMenu]="language" href="javascript:void(0);"
                           (click)="changeLanguage(language);collapseNavbar();">{{language | findLanguageFromKey}}</a>
                    </li>
                </ul>
            </li>
            <li *ngSwitchCase="true" ngbDropdown class="nav-item dropdown pointer" routerLinkActive="active"
                [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="account-menu">
                  <span *ngIf="!getImageUrl()">
                    <i class="fa fa-user" aria-hidden="true"></i>
                    <span jhiTranslate="global.menu.account.main">
                      Account
                    </span>
                    <b class="caret"></b>
                  </span>
                    <span *ngIf="getImageUrl()">
                      <img [src]="getImageUrl()" class="profile-image img-circle" alt="Account">
                  </span>
                </a>
                <ul class="dropdown-menu dropdown-menu-right" ngbDropdownMenu>
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" routerLink="password" routerLinkActive="active" (click)="collapseNavbar()">
                            <i class="fa fa-fw fa-clock-o" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.account.password">Password</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" (click)="logout()" id="logout">
                            <i class="fa fa-fw fa-sign-out" aria-hidden="true"></i>
                            <span jhiTranslate="global.menu.account.logout">Sign out</span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</nav>
<div *ngIf="isAuthenticated()" class="navbar navbar-inverse navbar-toggleable-md second-navbar p-0">
    <ul class="col-8 pl-0 mb-0 d-flex d-flex">
        <div class="d-flex pull-left">
            <li>
                <span><b>{{storageService.getUserType()}}</b></span>
            </li>
            <li *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_TENANT_ADMIN']" routerLink="saq/assessment-home" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a>
                    <i class="fa fa-fw fa-clipboard" aria-hidden="true"></i>
                    <span>Assessment</span>
                </a>
            </li>
            <li *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_TENANT_ADMIN']" routerLink="saq/admin" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a>
                    <i class="fa fa-fw fa-cogs" aria-hidden="true"></i>
                    <span>Assessment Maintenance</span>
                </a>
            </li>
            <li *jhiHasAnyAuthority="'ROLE_USER'">
                <a>
                    <i class="fa fa-fw fa-files-o" aria-hidden="true"></i>
                    <span>Reports</span>
                </a>
            </li>
        </div>
    </ul>
    <div *jhiHasAnyAuthority="['ROLE_USER', 'ROLE_TENANT_ADMIN']" class="col-4">
        <span class="pull-right">
            <b>Tenant Id: </b><span>{{storageService.getTenantId()}}</span>
        </span>
    </div>
</div>
